Library Version 18.1.40

DB_ENV->get_cache_max()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->get_cache_max()

    #include <db.h>

    int
    DB_ENV->get_cache_max(DB_ENV *dbenv, u_int32_t *gbytesp,
                          u_int32_t *bytesp);

The `DB_ENV->get_cache_max()` method returns the maximum size of the cache as set using the DB_ENV->set_cache_max() method.

The `DB_ENV->get_cache_max()` method may be called at any time during the life of the application.

The `DB_ENV->get_cache_max()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### gbytesp

The gbytesp parameter references memory into which the gigabytes of memory in the cache is copied.

#### bytesp

The bytesp parameter references memory into which the additional bytes of memory in the cache is copied.

### Class

DB_ENV

### See Also

Database Environments and Related Methods, DB_ENV->set_cache_max()

Prev | Up | Next
DB->get_mpf() | Home | DB_ENV->get_cachesize()